## List Account Providers `client.aiGateway.customProviders.list(CustomProviderListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/ai-gateway/custom-providers` Lists all AI Gateway evaluator types configured for the account. ### Parameters - `params: CustomProviderListParams` - `account_id: string` Path param - `beta?: boolean` Query param - `enable?: boolean` Query param - `page?: number` Query param - `per_page?: number` Query param - `search?: string` Query param: Search by id, name, slug ### Returns - `CustomProviderListResponse` - `id: string` - `base_url: string` - `created_at: string` - `modified_at: string` - `name: string` - `slug: string` - `beta?: boolean` - `curl_example?: string` - `description?: string` - `enable?: boolean` - `headers?: string` - `js_example?: string` - `link?: string` - `logo?: string` - `position?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const customProviderListResponse of client.aiGateway.customProviders.list({ account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0', })) { console.log(customProviderListResponse.id); } ``` #### Response ```json { "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "base_url": "https://example.com", "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "name": "name", "slug": "slug", "beta": true, "curl_example": "curl_example", "description": "description", "enable": true, "headers": "headers", "js_example": "js_example", "link": "link", "logo": "logo", "position": 0 } ], "success": true } ```